// Copyright (C) 2003 - 2012 Philip Aston
// All rights reserved.
//
// This file is part of The Grinder software distribution. Refer to
// the file LICENSE which is part of The Grinder distribution for
// licensing details. The Grinder distribution is available on the
// Internet at http://grinder.sourceforge.net/
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.

package net.grinder.console.swingui;

import java.awt.Color;


/**
 * Some standard colours.
 *
 * <p>
 * To be most compatible with all L&Fs, we prefer the logical colours defined by
 * {@code SystemColor}.
 * </p>
 *
 * @author Philip Aston
 */
final class Colours {

  /** Colour constant. */
  public static final Color DARK_GREEN = new Color(0, 0x80, 0);

  /** Colour constant. */
  public static final Color DARK_RED = new Color(0xE0, 0, 0);

  /** Colour constant. */
  public static final Color FAINT_YELLOW = new Color(0xFF, 0xFF, 0xD0);

  /** Colour constant. */
//public static final Color GREY = Color.gray;

  /** Colour constant. */
  public static final Color LIGHT_GREY = Color.lightGray;

  /** Colour constant. */
  public static final Color RED = Color.red;
}
